SDL_TryLockSpinlock(3)

NAME
SDL_TryLockSpinlock - Try to lock a spin lock by setting it to a non-zero value.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_TryLockSpinlock(SDL_SpinLock *lock);

DESCRIPTION

Please note that spinlocks are dangerous if you don't know what you're doing. Please be careful using any sort of spinlock!

FUNCTION PARAMETERS

lock
    a pointer to a lock variable.

RETURN VALUE
Returns true if the lock succeeded, false if the lock is already held.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LockSpinlock(3), •(3), SDL_UnlockSpinlock(3)